Subject: bug#15954: closed (Re: bug#15954: [PATCH] add additional examples to LS_COLORS)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Nov 2013 23:58:02 +0000

Your bug report

#15954: [PATCH] add additional examples to LS_COLORS

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15954: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15954
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15954: [PATCH] add additional examples to LS_COLORS
From: Pádraig Brady <[email-masked]>
To: John <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Nov 2013 23:56:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/22/2013 03:03 PM, John wrote:
> The attached allows for the inclusion of four archive formats for LS_COLORS to display red.

> +.lrz 01;31
> +.tar.lrz 01;31

Some info http://gcc.gnu.org/ml/gcc/2012-03/msg00549.html
I.E. a compressor tuned for size

> +.lz4 01;31
> +.tar.lz4 01;31

Some info https://code.google.com/p/lz4/
I.E. a compressor tuned for speed

These are probably established enough to include,
and are packaged for the main GNU/Linux distros at least.

I'll push this.

thanks,
Pádraig.

Subject: [PATCH] add additional examples to LS_COLORS
From: John <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 22 Nov 2013 07:03:21 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached allows for the inclusion of four archive formats for LS_COLORS to display red.

--- a/src/dircolors.hin	2013-01-30 19:46:24.000000000 -0500
+++ b/src/dircolors.hin	2013-11-22 09:56:34.728410482 -0500
@@ -142,6 +142,10 @@
 .cpio 01;31
 .7z  01;31
 .rz  01;31
+.lrz 01;31
+.tar.lrz 01;31
+.lz4 01;31
+.tar.lz4 01;31
 
 # image formats
 .jpg 01;35